This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 533867 - init script, wrong parameter should return 2
init script, wrong parameter should return 2
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhnsd (Show other bugs)
6.0
All Linux
high Severity medium
: rc
: ---
Assigned To: Miroslav Suchý
Šimon Lukašík
:
Depends On:
Blocks: 533839 633349
  Show dependency treegraph
 
Reported: 2009-11-09 10:05 EST by Petr Sklenar
Modified: 2010-09-13 15:55 EDT (History)
5 users (show)

See Also:
Fixed In Version: rhnsd-4.9.2-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 15:49:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2009-11-09 10:05:19 EST
Description of problem:
use service rhnsd with wrong parameter

Version-Release number of selected component (if applicable):
rhnsd-4.7.0-4.el5

How reproducible:
always

Steps to Reproduce:
1.
[root@xen83 ~]# /etc/init.d/rhnsd i_am_wrong
[root@xen83 ~]# echo $?                                    [FAILED]
1
  
Actual results:
[root@xen83 ~]# /etc/init.d/rhnsd i_am_wrong
Usage: /etc/init.d/rhnsd {start|stop|status|restart|condrestart|reload}
[root@xen83 ~]# echo $?
1

Expected results:
it should return 2

Additional info:
https://fedoraproject.org/wiki/Packaging/SysVInitScript
Comment 1 RHEL Product and Program Management 2009-11-09 10:15:32 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Petr Sklenar 2009-11-09 11:05:37 EST
there should be also 2 without parameter 
Actual:
[root@xen83 ~]# service rhnsd
Usage: /etc/init.d/rhnsd {start|stop|status|restart|condrestart|reload}
[root@xen83 ~]# echo $?
1

Expected:
[root@xen83 ~]# service rhnsd
Usage: /etc/init.d/rhnsd {start|stop|status|restart|condrestart|reload}
[root@xen83 ~]# echo $?
2
Comment 4 Miroslav Suchý 2010-02-10 05:28:21 EST
Fixed in spacewalk commit 4f2b6b354bb9d4c9e71b991feabcd7547c7188f4.
Not cherrypicking to rhel6 as we will be rebasing within a month.
Comment 9 Šimon Lukašík 2010-04-26 08:48:46 EDT
Changing to VERIFIED

Testing procedure:
- automation on i386, x86_64
- manual run on x86_64, RHEL6.0-20100422.12

Verified against:
rhnsd-4.9.3-2.el6
Comment 10 releng-rhel@redhat.com 2010-07-02 15:49:13 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.